//
//  LogoView.swift
//  XPC Service
//
//  Created by Marin Nagy on 17/06/2024.
//

import Cocoa
import AppKit

class LogoView: NSView {

    var image: NSImage?
    var lineColor: NSColor = .black // Default color is black

    override init(frame frameRect: NSRect) {
        super.init(frame: frameRect)
        initializeImage()
    }
    
    required init?(coder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
    
    private func initializeImage() {
        image = NSImage(named: "logo-min")
    }
    
    override func draw(_ dirtyRect: NSRect) {
        super.draw(dirtyRect)

        guard let image = image else { return }

        let imageRect = NSRect(x: 32, y: 20, width: 62, height: 25)
        image.draw(in: imageRect, from: NSZeroRect, operation: .sourceOver, fraction: 1.0, respectFlipped: true, hints: nil)
    }
}
