//
//  SeparatorView.swift
//  XPC Service
//
//  Created by Marin Nagy on 06/07/2024.
//

import Cocoa
import AppKit

class SeperatorView: NSView {

    override init(frame frameRect: NSRect) {
        super.init(frame: frameRect)
    }
    
    required init?(coder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
    
    override func draw(_ dirtyRect: NSRect) {
        super.draw(dirtyRect)
        
        // Define the line width
        let lineWidth: CGFloat = 1.0
        
        // Calculate the Y coordinate to center the line in the view
        let y = bounds.height / 2
        
        // Create a path for the horizontal line
        let path = NSBezierPath()
        path.move(to: CGPoint(x: 0, y: y))
        path.line(to: CGPoint(x: 125, y: y))
        
        // Set the line width
        path.lineWidth = lineWidth
        
        // Set the line color
        //NSColor.black.set()
        //colorFromHex("#3f3f3f").set()
        NSColor(white: 0.27, alpha: 1.0).set()
        
        // Draw the path
        path.stroke()
    }
    
}
